# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`rngd`](#rngd): Installs rngd.
* [`rngd::config`](#rngdconfig)
* [`rngd::install`](#rngdinstall)
* [`rngd::params`](#rngdparams)
* [`rngd::service`](#rngdservice)

## Classes

### `rngd`

Installs rngd.

#### Examples

##### Declaring the class

```puppet
include ::rngd
```

##### Using a different hardware RNG

```puppet
class { '::rngd':
  hwrng_device => '/dev/urandom',
}
```

#### Parameters

The following parameters are available in the `rngd` class.

##### `hasstatus`

Data type: `Boolean`

Whether the service has a working status command.

Default value: `$::rngd::params::hasstatus`

##### `hwrng_device`

Data type: `Optional[Stdlib::Absolutepath]`

Path to a hardware RNG device.

Default value: ``undef``

##### `package_name`

Data type: `String`

The name of the package.

Default value: `$::rngd::params::package_name`

##### `service_manage`

Data type: `Boolean`

Whether to manage the service.

Default value: `$::rngd::params::service_manage`

##### `service_name`

Data type: `String`

Name of the service.

Default value: `$::rngd::params::service_name`

### `rngd::config`

The rngd::config class.

### `rngd::install`

The rngd::install class.

### `rngd::params`

The rngd::params class.

### `rngd::service`

The rngd::service class.

